1.1

1.1

get /v1/users

Description

get users list

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryinstance_id
required
인스턴스 ID
Example : ssoins-12345
stringNone
queryuser_id
optional
사용자 로그인 ID
Example : johndoe
any of [string, null]None
queryexcluded_group_id
optional
그룹 ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryexcluded_account_id
optional
Account ID
Example : 1234ab567cd64769e8f9g490hi304891
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKUserPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/users?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam-identity-center 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "users": [
        {
            "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "name": "John Doe",
            "user_id": "johndoe"
        }
    ]
}